From d905ca067863c6a5b2c917eb4ed03167f1aeb717 Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Apr 06 2022 13:08:30 +0000
Subject: [PATCH 28/28] libre/iceweasel: Update to 99.0 according to upstream changes


---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index bb71cd6..40d6f3c 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -59,7 +59,7 @@
 
 pkgname=iceweasel
 epoch=1
-pkgver=98.0.1
+pkgver=99.0
 pkgrel=1
 pkgrel+=.parabola1
 _brandingver=95.0-1
@@ -68,14 +68,12 @@ arch=(x86_64)
 arch+=(armv7h i686)
 license=(MPL GPL LGPL)
 url="https://wiki.parabola.nu/Iceweasel"
-depends=(gtk3 libxt mime-types dbus-glib ffmpeg4.4 nss ttf-font libpulse)
+depends=(gtk3 libxt mime-types dbus-glib ffmpeg nss ttf-font libpulse)
 makedepends=(unzip zip diffutils yasm mesa imake inetutils xorg-server-xvfb
              autoconf2.13 rust clang llvm jack nodejs cbindgen nasm
              python-setuptools python-psutil python-zstandard lld dump_syms
              wasi-compiler-rt wasi-libc wasi-libc++ wasi-libc++abi)
 makedepends+=(quilt libxslt imagemagick git jq python-jsonschema)
-depends=( ${depends[*]/ffmpeg4.4/ffmpeg} )
-makedepends+=(libvpx=1.11.0-1)
 [[ "${CARCH}" == i686 ]] && makedepends=( ${makedepends[*]/jack/jack2} )
 [[ "${CARCH}" == i686 ]] && makedepends=( ${makedepends[*]/llvm/llvm12} )
 makedepends_i686=(gcc10) # cannot build i686 today - rust is unusable
@@ -102,13 +100,13 @@ source_armv7h=(build-arm-libopus.patch)
 source_i686=('avoid-libxul-OOM-python-check.patch'
              'rust-static-disable-network-test-on-static-libraries.patch'
              'firefox-93.0_x86_math_private_20211110.patch')
-sha256sums=('f8de2f514d94cad25a2c8a5d219399de5c05a907607d51c5c5235a8bc9bb361c'
+sha256sums=('513f8d2cafa39a2d50f2c4a25cc48093e89f715a706b941170fa48e397976327'
             'SKIP'
             '9cdc2602661717712092d28bb494e5b48e518cb930898aca85eaf21f91f7ef58')
 sha256sums+=('d1b9d98cea5356df97fc5c221830de1ced8f826cb39fac9427c407e3eae54c02'
              'SKIP'
-             'a4e3c3869085cb282cb5a0fcb64e816c0415f25d4792a62c4f1d599d3111b23c'
-             'cb3079a0dc30321183bf8e112532c6f2aad045f68103f8d422c9691137aa770e'
+             'af53bd22378cd87c27438c34dc1daf3f1909735e85c914b56440751a9dc16856'
+             'a2c71759290dd48c87bf8aacb681040dcaefdabe0d57317de361d2d2d509664b'
              'e192458a2a9878483984e1400bb3c66df369adfbf6f144b90445f80973c32ed1'
              '0471c2f625ed8e76833bc7c15dfab23e613600f4ee1abe5e81047237644eea95'
              '9386f1c50506cd20ab6d212335d5e4417faeb2aea371dd46f2d107d171e80b83'

